Name:		arm-boot-config
Version:	0.49
Release:	1%{?dist}
Summary:	ARM Boot Configuration library and boot script generator
License:	GPLv2+
Group:		System Environment/Base
URL:		https://git.fedorahosted.org/git/arm-boot-config.git
Source0:	%{name}-%{version}.tar.bz2
ExclusiveArch:	%{arm}
Requires:	grubby
Requires:	kernel
Requires:	uboot-tools

# There are no binaries in this package, but it is for 32 bit ARM systems only.
%global debug_package %{nil}

%description
ARM Boot Configuration library and boot script generator

%prep
%setup -q

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_defaultdocdir/%{name}-%{version}
cp LICENSE Authors src/a-b-c/README $RPM_BUILD_ROOT/%_defaultdocdir/%{name}-%{version}
cp -a src/a-b-c/uenv-examples $RPM_BUILD_ROOT/%_defaultdocdir/%{name}-%{version}/uenv-examples

%{_fixperms} $RPM_BUILD_ROOT/*

%check
true

%files
%defattr(-,root,root,-)
%_sbindir/a-b-c
%config(noreplace) %{_sysconfdir}/a-b-c.d
%_sbindir/a-b-c
%_defaultdocdir/%{name}-%{version}

%changelog
* Wed May 22 2013 Brendan Conoboy <blc@redhat.com> - 0.49-1
- Workarounds for OMAP malloc issues.
- Support TI board names via their dtb name.
- Do not run on installation - have grubby call us.

* Tue May 21 2013 Brendan Conoboy <blc@redhat.com> - 0.48-1
- Add rescue, single user, and debug boot configurations.

* Mon May 20 2013 Brendan Conoboy <blc@redhat.com> - 0.47-1
- Add 'clist' menu feature to set board configuration.

* Thu May 16 2013 Brendan Conoboy <blc@redhat.com> - 0.46-1
- Fixes for TI board detection, require kernel.

* Wed May 15 2013 Brendan Conoboy <blc@redhat.com> - 0.45-1
- Evaluate u_dtb to decide which kernel to use by default.

* Tue May 14 2013 Brendan Conoboy <blc@redhat.com> - 0.43-1
- Updates to pass rpmlint

* Fri May 10 2013 Brendan Conoboy <blc@redhat.com> - 0.40
- Begin at version 0.40
